View Issue Details

IDProjectCategoryView StatusLast Update
0015718ScribusStory Editor / Text Framespublic2019-07-30 21:27
Reporterale Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionreopened 
Product Version1.5.5.svn 
Target VersionFixed in Version1.5.5.svn 
Summary0015718: Text layout not updated when flow around shape stop overlapping text frame
Description- create a text frame with a sentence in it
- "above it", create a shape with flow around
- slowly move down the shape (with the arrows): the gets pushed down
- slowly move up the shape: the text stays in place
- produce a pdf: the text is still at its lower position
- enter the edit mode: the text is still at its lower position
- leave the edit mode (or edit some text): the text is now at its correct position
TagsNo tags attached.
PatchNo

Activities

ale

2019-06-19 06:22

manager  

test-firstlineheight.pdf (50,897 bytes)

ale

2019-06-19 06:23

manager   ~0046326

might be related to 0012862

ale

2019-06-20 06:18

manager   ~0046335

thanks jean!

that was a huge patch!

PeterBenedek

2019-06-21 08:28

developer   ~0046340

Tested in Linux Mint 19.1; r23032

It's unfortunately not perfect.
I downloaded the sample file from 0012862 ticket (https://bugs.scribus.net/file_download.php?file_id=7182&type=bug) and I tryed.
If the document contain a overhanging object (object is on the bleeds or touches it), the patch not working.
I moved the object with SHIFT+up/down arrow.

in_top_on_page.gif (615,800 bytes)
in_top_on_page.gif (615,800 bytes)
in_bottom_on_page.gif (219,500 bytes)
in_bottom_on_page.gif (219,500 bytes)

Issue History

Date Modified Username Field Change
2019-06-19 06:22 ale New Issue
2019-06-19 06:22 ale File Added: flow-around-first-line-displacement.gif
2019-06-19 06:22 ale File Added: test-firstlineheight.pdf
2019-06-19 06:23 ale Note Added: 0046326
2019-06-19 19:53 jghali Summary flow around shape: lineheight displacement is not reset => Text layout not updated when flow around shape stop overlapping text frame
2019-06-19 19:53 jghali Assigned To => jghali
2019-06-19 19:53 jghali Status new => resolved
2019-06-19 19:53 jghali Resolution open => fixed
2019-06-19 19:53 jghali Fixed in Version => 1.5.5.svn
2019-06-20 06:18 ale Note Added: 0046335
2019-06-21 08:28 PeterBenedek File Added: in_top_on_page.gif
2019-06-21 08:28 PeterBenedek File Added: in_bottom_on_page.gif
2019-06-21 08:28 PeterBenedek Note Added: 0046340
2019-06-21 08:31 PeterBenedek Status resolved => feedback
2019-06-21 08:31 PeterBenedek Resolution fixed => reopened
2019-06-22 11:26 jghali Status feedback => resolved
2019-07-30 21:27 cbradney Status resolved => closed